phy_connect
Prev | PHY Support | Next

## Name

phy_connect — connect an ethernet device to a PHY device

## Synopsis

`struct phy_device * phy_connect (` | struct net_device * | dev,
| const char * | phy_id,
| void (* | handler`(`struct net_device *`)`,
| u32 | flags,
| phy_interface_t | interface`)`;

## Arguments

`dev`

  the network device to connect

`phy_id`

  the PHY device to connect

`handler`

  callback function for state change notifications

`flags`

  PHY device's dev_flags

`interface`

  PHY device's interface

## Description

Convenience function for connecting ethernet devices to PHY devices. The default behavior is for the PHY infrastructure to handle everything, and only notify the connected driver when the link status changes. If you don't want, or can't use the provided functionality, you may choose to call only the subset of functions which provide the desired functionality.

Prev | Up | Next
phy_state_machine | Home | phy_disconnect